import { getWidget, setViewWidgetResolver, } from '../vendors/organik';
import { isFunction, toPascalCase } from '../utils';
setViewWidgetResolver(view => {
    let renderer;
    const { renderType, widget } = view;
    if (widget) {
        if (isFunction(widget)) {
            renderer = widget;
        }
        else {
            renderer = getWidget(widget) || widget;
        }
    }
    else {
        renderer = getWidget(`${toPascalCase(renderType || '')}ViewWidget`) || '';
    }
    return renderer;
});
