const keyTypeMap = {
    controls: 'control',
    widgets: 'widget',
    renderers: 'renderer',
};
function convertToDescriptors(map, type = 'control') {
    return Object.keys(map).map(name => ({ name, ctor: map[name], type }));
}
function resolveComponentDescriptors(map) {
    const ctors = [];
    ['controls', 'widgets', 'renderers'].forEach(key => {
        if (map[key]) {
            ctors.push(...convertToDescriptors(map[key], keyTypeMap[key]));
        }
    });
    return ctors;
}
export { resolveComponentDescriptors };
