import { isDate, isString, isNumber, includes } from '../vendors/toolbox';
import { BuiltInDataType } from '../types/data-type';
import { createMoment } from './date';
function isEnumField(field) {
    return includes(field.dataType, [BuiltInDataType.Enum, BuiltInDataType.MultiEnum]);
}
function isDateValue(value) {
    if (isDate(value)) {
        return true;
    }
    return isString(value) || isNumber(value) ? createMoment(value).isValid() : false;
}
export { isEnumField, isDateValue };
