const componentMap = new Map();
function registerComponent({ type = 'control', name, ctor }) {
    const ctorMap = componentMap.get(type) || new Map();
    ctorMap.set(name, ctor);
    componentMap.set(type, ctorMap);
}
function getComponent(type, name) {
    const ctorMap = componentMap.get(type);
    return ctorMap ? ctorMap.get(name) : undefined;
}
const getControl = getComponent.bind(null, 'control');
const getWidget = getComponent.bind(null, 'widget');
const getRenderer = getComponent.bind(null, 'renderer');
export { registerComponent, getControl, getWidget, getRenderer };
