import { ComponentCtor, ServerAction, ModuleResources, ModuleDependencies, ModuleActions, ModuleViews, ModuleDescriptor, ModuleComponents, ResolvedModule } from './typing';
declare function convertAsyncFunctionMapToServerActionMap<R>(funcMap: R): Record<keyof R, ServerAction>;
declare function ensureModuleExists(name: string): ResolvedModule;
declare function getDependencies(moduleName: string, refPath?: string): ModuleDependencies | ModuleResources | undefined;
declare function registerModules(descriptors: ModuleDescriptor[]): void;
declare function getActions(moduleName: string): ModuleActions;
declare function getViews(moduleName: string): ModuleViews;
declare function getComponents(moduleName: string, newComponents?: {
    [key: string]: ComponentCtor;
}): ModuleComponents;
declare function isWidgetDependency(moduleName: string, widgetName: string): boolean;
export { convertAsyncFunctionMapToServerActionMap, ensureModuleExists, registerModules, getActions, getViews, getDependencies, getComponents, isWidgetDependency, };
