import { ComponentCtor, DataValue, ConfigType, ModuleContext, ComponentRenderer, ViewDescriptor, ListViewContextDescriptor, ObjectViewContextDescriptor, ListViewContext, ObjectViewContext } from './typing';
declare type ViewWidgetResolver = (view: ViewDescriptor) => ComponentRenderer;
declare type MixedViewContext<VT, CT> = ListViewContext<VT, CT> | ObjectViewContext<VT, CT>;
declare type ViewProvider = {
    [key: string]: any;
};
declare function setViewWidgetResolver(resolver: ViewWidgetResolver): void;
declare const setViewCreator: (creator: (context: MixedViewContext<DataValue, ConfigType>, provider: ViewProvider, renderer: ComponentRenderer) => Function) => void;
declare function createView<VT, CT>(context: ModuleContext | MixedViewContext<VT, CT>, options?: ListViewContextDescriptor<VT, CT> | ObjectViewContextDescriptor<VT, CT>, providerGetter?: () => ViewProvider): ComponentCtor;
export { setViewWidgetResolver, setViewCreator, createView };
