import { isFunction, noop } from '@ntks/toolbox';
import { createCreator } from './creator';
import { createViewContext } from './context';
let viewWidgetResolver = (() => noop);
function setViewWidgetResolver(resolver) {
    viewWidgetResolver = resolver;
}
const [getViewCreator, setViewCreator] = createCreator((context, // eslint-disable-line @typescript-eslint/no-unused-vars
provider, // eslint-disable-line @typescript-eslint/no-unused-vars
renderer) => function () { });
function createView(context, options, providerGetter) {
    const resolved = options
        ? createViewContext(context, options)
        : context;
    const view = resolved.getView();
    let provider = { viewContext: resolved };
    if (options.search) {
        provider.searchContext = resolved.getSearchContext();
    }
    if (isFunction(providerGetter)) {
        provider = Object.assign(Object.assign({}, provider), providerGetter());
    }
    return getViewCreator()(resolved, provider, viewWidgetResolver(view));
}
export { setViewWidgetResolver, setViewCreator, createView };
