import { resolvePlaceholder } from '../../utils/widget';
import { BaseHeadlessWidget } from '../base';
class FilterHeadlessWidget extends BaseHeadlessWidget {
    getFilter() {
        return this.getProp('filter');
    }
    getSearchContext() {
        return this.getViewContext().getSearchContext();
    }
    getConfig() {
        return (this.getFilter().config || {});
    }
    getPlaceholder() {
        return resolvePlaceholder(this.getFilter(), this.getConfig().showHintAsPlaceholder, this.getCommonBehavior('filter.showHintAsPlaceholder'));
    }
    isValidationRulesShownAsNative() {
        return this.getCommonBehavior('filter.showValidationRulesAsNative', false);
    }
}
export { FilterHeadlessWidget };
